body {
    padding: 40px;
    margin: none;
    background: black;
    background-image: url("MetalBlack.png");
    text-align: center;
    font-family: 'Courier New', Courier, monospace;
}

h1 {
    margin-left: auto;
    margin-right: auto;
    padding-left: 10px;
    padding-right: 5px;
    font-size: 50px;
    color: red;
    background-color: black;
    font-family: 'Orbitron', sans-serif;
}

button {
    box-shadow: 2px 5px 2px #5C5C5C;
}

button:active {
    box-shadow: 1px 2px 1px #5C5C5C;
}

#container {
    margin:auto;
    justify-self: center;
    background: gray;
    background-image: url("MetalDark.png");
    max-width: 80%;
    min-width: 400px;
    display: flex;
    flex-direction: column;
}

#unsorted-numbers {
    display: flex;
    flex-direction: row;
    margin-left: 30px;
    margin-right: 30px;
    margin-bottom: 30px;
    padding-bottom: 30px;
    border-bottom: solid 2px black;
}

#unsorted-input {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    background-color: lightgray;
    background-image: url("MetalLight.png");
    border: solid 2px black;
    width: 50%;
}

#list-length {
    height: 30px;
    width: 30%;
    min-width: 50px;
}

#generate-numbers {
    height: 30px;
    font-family: 'Orbitron', sans-serif;
    background-color: red;
    background-image: linear-gradient(to bottom right, red, darkred);
    color: white;
}

#generate-numbers:hover {
    background-color: white;
    background-image: none;
    color: red;
    cursor: pointer;
}

#generate-numbers:active {
    background-color: black;
    background-image: none;
    color: red;
    cursor: pointer;
}

#unsorted-output {
    display: flex;
    flex-direction: column;
    border: solid 2px black;
    background-color: lightgray;
    background-image: url("MetalLight.png");
    margin-left: 30px;
    padding-top: 15px;
    padding-bottom: 15px;
    width: 50%;
}

@media screen and (max-width: 600px) {
    #unsorted-numbers {
        flex-direction: column;
        align-content: center;
        justify-content: center;
        align-items: center;
        justify-items: center;
        margin: auto;
    }
    #unsorted-input {
        width: 100%;
        margin: auto;
        padding-top: 15px;
        padding-bottom: 15px;
        border-bottom: none;
    }
    #unsorted-output {
        width: 100%;
        margin: auto;
    }
    #list-unsorted {
        height: 150px;
    }
    #generate-numbers {
        margin-top: 15px;
    }
}

#list-sorted {
    height: 90px;
    margin-top: 0px;
    margin-left: 15px;
    margin-right: 15px;
    background-color: lightgreen;
    border: solid 1px lime;
}

#sorted-numbers {
    display: flex;
    flex-direction: row;
    margin-left: 30px;
    margin-right: 30px;
    margin-bottom: 30px;
}

#sorted-input {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    align-items: center;
    background-color: lightgray;
    background-image: url("MetalLight.png");
    border: solid 2px black;
    width: 50%;
}

#sort-options {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
}

#sort-options p {
    margin: 100px;
    font-family: 'Orbitron', sans-serif;
}

#sort-options button {
    margin: 10px;
    font-family: 'Orbitron', sans-serif;
    background-color: lime;
    background-image: linear-gradient(to bottom right, lime, darkgreen);
    color: white;
}

#sort-options button:hover {
    background-color: white;
    background-image: none;
    color: lime;
    cursor: pointer;
}

#sort-options button:active {
    background-color: black;
    background-image: none;
    color: lime;
    cursor: pointer;
}

#sorted-output {
    display: flex;
    flex-direction: column;
    background-color: lightgray;
    background-image: url("MetalLight.png");
    border: solid 2px black;
    margin-left: 30px;
    padding-bottom: 15px;
    width: 50%;
}

#timer-row {
    display: flex;
    flex-direction: row;
}

#clear {
    margin: 15px;
    font-family: 'Orbitron', sans-serif;
    background-color: lime;
    background-image: linear-gradient(to bottom right, lime, darkgreen);
    color: white; 
    height: 30px;
}

#clear:hover {
    background-color: white;
    background-image: none;
    color: lime;
    cursor: pointer;
}

#clear:active {
    background-color: black;
    background-image: none;
    color: lime;
    cursor: pointer;
}

#timer {
    margin-left: auto;
    margin-right: auto;
    margin-top: 15px;
    margin-bottom: 15px;
    padding-left: 5px;
    padding-right: 5px;
    color: lime;
    background-color: black;
    font-size: 32px;
    font-family: 'Orbitron', sans-serif;
}

#list-unsorted {
    height: 90px;
    margin-left: 15px;
    margin-right: 15px;
    background-color: lightsalmon;
    border: solid 1px red;
}

@media screen and (max-width: 600px) {
    #unsorted-numbers {
        border: none;
    }
    
    #sorted-numbers {
        flex-direction: column;
        align-content: center;
        justify-content: center;
        align-items: center;
        justify-items: center;
        margin: auto;
        margin-left: 40px;
        margin-right: 40px;
    }
    #sorted-input {
        width: 100%;
        margin: auto;
        border-top: solid 2px black;
        border-bottom: none;
    }
    #sorted-output {
        width: 100%;
        margin: auto;
        margin-bottom: 30px;
    }
    #list-sorted {
        height: 150px;
    }
}